<?php

namespace spec\Myriad\Authentication\Lib\Strategies;

use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class PhoneNumberVerificationSpec extends ObjectBehavior
{
  function let(
    \Myriad\Authentication\Lib\Repositories\IUserRepository $userRepository,
    \Illuminate\Contracts\Mail\Mailer $mailer,
    \Illuminate\Contracts\Config\Repository $config
  )
  {
    $this->beConstructedWith($userRepository, $mailer, $config);
  }
  function it_is_initializable()
  {
    $this->shouldHaveType('Myriad\Authentication\Lib\Strategies\PhoneNumberVerification');
  }

  function it_should_implement_verification_strategy_interface()
  {
    $this->shouldImplement(\Myriad\Authentication\Lib\Strategies\IVerificationStrategy::class);
  }

  function it_implements_phone_number_confirmer_interface()
  {
    $this->shouldImplement('Myriad\Authentication\Lib\Services\IPhoneNumberConfirmer');
  }
}
