<?php

namespace Myriad\Authentication\Lib\Requests;

use Myriad\Authentication\Lib\Requests\IRegistrationRequest;

class RegistrationRequest implements IRegistrationRequest
{
  private $attributes = [];

  public function __construct() {
    $this->attributes = [
      'first_name' => '',
      'last_name' => '',
      'email' => '',
      'email_type' => '',
      'password' => '',
      'password_confirmation' => ''
    ];
  }

  public function setFirstName($firstName) {
    $this->attributes['first_name'] = $firstName;
  }

  public function setLastName($lastName) {
    $this->attributes['last_name'] = $lastName;
  }

  public function setEmail($email) {
    $this->attributes['email'] = $email;
  }

  public function setEmailType($type) {
    $this->attributes['email_type'] = $type;
  }

  public function setPassword($password) {
    $this->attributes['password'] = $password;
  }

  public function setPasswordConfirmation($passwordConfirmation) {
    $this->attributes['password_confirmation'] = $passwordConfirmation;
  }

  public function getFirstName() {
    return $this->attributes['first_name'];
  }

  public function getLastName() {
    return $this->attributes['last_name'];
  }

  public function getEmail() {
    return $this->attributes['email'];
  }

  public function getEmailType() {
    return $this->attributes['email_type'];
  }

  public function getPassword() {
    return $this->attributes['password'];
  }

  public function getPasswordConfirmation() {
    return $this->attributes['password_confirmation'];
  }

  public function all() {
    return $this->attributes;
  }
}
